CS::Animation::iSkeletonIKPhysicalNodeFactory Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonIKPhysicalNodeFactory Struct Reference

An implementation of the CS::Animation::iSkeletonIKNodeFactory based on physical simulation. More...

`#include <imesh/animnode/ik.h>`

Inheritance diagram for CS::Animation::iSkeletonIKPhysicalNodeFactory:

List of all members.

## Public Member Functions
virtual bool | GetChainAutoReset () const =0
| Get whether or not the CS::Animation::iBodyChain controlled by this node have to be reset to their previous dynamic state when there are no more constraints on the chain.
virtual void | SetChainAutoReset (bool reset)=0
| Set whether or not the CS::Animation::iBodyChain controlled by this node have to be reset to their previous dynamic state when there are no more constraints on the chain.

## Detailed Description

An implementation of the CS::Animation::iSkeletonIKNodeFactory based on physical simulation.

This node will use a CS::Animation::iSkeletonRagdollNode and apply physical constraints on the rigid bodies created by the ragdoll node.

This IK method has the advantage to be able to be physically accurate. It has for example the uncommon capability to manage the collisions with the body and the environment. This IK method is however not suited in applications where you need the IK solution to be independant of the history of the motion. This method is also less efficient than traditionial IK algorithms.

Warning:
  The current implementation does not care about the rotational component of the constraints.

See also:
  iSkeletonIKNodeFactory

Definition at line 193 of file ik.h.

## Member Function Documentation

virtual bool CS::Animation::iSkeletonIKPhysicalNodeFactory::GetChainAutoReset | ( |  | ) | const`[pure virtual]`

Get whether or not the CS::Animation::iBodyChain controlled by this node have to be reset to their previous dynamic state when there are no more constraints on the chain.

The body chain is indeed put in the CS::Animation::STATE_DYNAMIC state when there is at least one active constraint (see CS::Animation::iSkeletonRagdollNode::SetBodyChainState()).

virtual void CS::Animation::iSkeletonIKPhysicalNodeFactory::SetChainAutoReset | ( | bool | reset | ) | `[pure virtual]`

Set whether or not the CS::Animation::iBodyChain controlled by this node have to be reset to their previous dynamic state when there are no more constraints on the chain.

Default value is true.

The body chain is indeed put in the CS::Animation::STATE_DYNAMIC state when there is at least one active constraint (see CS::Animation::iSkeletonRagdollNode::SetBodyChainState()).

The documentation for this struct was generated from the following file:

- imesh/animnode/ik.h